Package org.wso2.carbon.mediation.initializer.services

## Interface SynapseConfigurationService

- All Known Implementing Classes:
    `SynapseConfigurationServiceImpl`

      public interface SynapseConfigurationService

  All the ESB Components should use this OSGI service for accessing the SynapseConfiguration. This service is populated at the System start up with ESB Super tenent confiruations. The service is populated again for each tenant creation. So a component wishing to know about the tenant creation events should listen for this service.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.axis2.context.ConfigurationContext` | `getConfigurationContext()` | Get the ConfigurationContext for this SynapseConfiguration
    `org.apache.synapse.config.SynapseConfiguration` | `getSynapseConfiguration()` | Retrieve the synapse configuration
    `int` | `getTenantId()` | Get the tenant id corresponding to this synapse configuration.
    `void` | `setSynapseConfiguration​(org.apache.synapse.config.SynapseConfiguration synapseConfiguration)` | Set the SynapseConfiguration

- - ### Method Detail

    - #### getTenantId

          int getTenantId()

      Get the tenant id corresponding to this synapse configuration.
      Returns:
        integer value of the tenant id

    - #### getSynapseConfiguration

          org.apache.synapse.config.SynapseConfiguration getSynapseConfiguration()

      Retrieve the synapse configuration
      Returns:
        synapse configuration

    - #### setSynapseConfiguration

          void setSynapseConfiguration​(org.apache.synapse.config.SynapseConfiguration synapseConfiguration)

      Set the SynapseConfiguration
      Parameters:
        `synapseConfiguration` - synapse configuration

    - #### getConfigurationContext

          org.apache.axis2.context.ConfigurationContext getConfigurationContext()

      Get the ConfigurationContext for this SynapseConfiguration
      Returns:
        the ConfigurationContext